> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove contact from sequences

> Removes the contact from the given sequences, or from all its sequences when sequence_ids is left out. Archived sequences are ignored.



## OpenAPI

````yaml delete /contacts/{id}/sequences
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /contacts/{id}/sequences:
    parameters:
      - name: id
        in: path
        required: true
        description: Contact id
        schema:
          type: string
    delete:
      tags:
        - Contacts
      summary: Remove contact from sequences
      description: >-
        Removes the contact from the given sequences, or from all its sequences
        when sequence_ids is left out. Archived sequences are ignored.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sequence_ids:
                  type: array
                  items:
                    type: string
                  minItems: 1
                  maxItems: 250
                  description: >-
                    Sequences to remove the contact from. Leave it out to remove
                    the contact from all its sequences.
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    total: 2
                    total_removed: 1
                    removed:
                      - b026f38bb2881327da047d9126adcc9a3312ff12
                    not_found:
                      - unknown
                    not_removable_and_skipped: []
              schema:
                type: object
                additionalProperties: false
                properties:
                  total:
                    type: integer
                  total_removed:
                    type: integer
                  removed:
                    type: array
                    items:
                      type: string
                    description: Sequences the contact was removed from
                  not_found:
                    type: array
                    items:
                      type: string
                    description: >-
                      Requested sequences that don't exist, are archived or
                      don't have the contact
                  not_removable_and_skipped:
                    type: array
                    items:
                      type: string
                    description: >-
                      Sequences where the contact already finished or was
                      already removed
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Empty sequence_ids:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          sequence_ids cannot be empty; leave it out to remove
                          the contact from all sequences
                        source:
                          pointer: /sequence_ids
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Could not find contact.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.